class W3Effect_RubedoDominance extends CBaseGameplayEffect
{
	default effectType = EET_RubedoDominance;	
	default isPositive = true;
	default isNeutral = false;
	default isNegative = false;	
	
	event OnUpdate(deltaTime : float)
	{
		var vitality: float;

		vitality = thePlayer.GetStatMax(BCS_Vitality) - thePlayer.GetStat(BCS_Vitality); //get missing health
		vitality /= 100 * 1.0f; //get desired percent value
		vitality *= deltaTime; //adjust for dt
		effectManager.CacheStatUpdate(BCS_Vitality, vitality);
		super.OnUpdate(deltaTime);
	}
	
	
}